### Method

# Gtk ScaleButtonset_has_frame

since: 4.14

#### Declaration [src]

    void
    gtk_scale_button_set_has_frame (
      GtkScaleButton* button,
      gboolean has_frame
    )

#### Description [src]

Sets the style of the button.

Available since: 4.14

Sets property | `Gtk.ScaleButton:has-frame`

#### Parameters

`has_frame`

  Type: `gboolean`

  Whether the button should have a visible frame.